文档首页 > > 产品介绍> 使用限制

使用限制

分享
更新时间: 2019/12/27 GMT+08:00

APM支持的Linux操作系统

APM支持多个Linux操作系统,在购买弹性云服务器时您选择APM支持的操作系统,详见 表1
表1 支持的操作系统及版本

操作系统

版本

SUSE

SUSE Enterprise 11 SP4 64bit

SUSE Enterprise 12 SP1 64bit

SUSE Enterprise 12 SP2 64bit

SUSE Enterprise 12 SP3 64bit

OpenSUSE

13.2 64bit

15.0 64bit

暂不支持syslog日志采集。

42.2 64bit

EulerOS

2.2 64bit

2.3 64bit

CentOS

6.3 64bit

6.5 64bit

6.8 64bit

6.9 64bit

6.10 64bit

7.1 64bit

7.2 64bit

7.3 64bit

7.4 64bit

7.5 64bit

7.6 64bit

Ubuntu

14.04 server 64bit

16.04 server 64bit

18.04 server 64bit

Fedora

24 64bit

25 64bit

29 64bit

Debian

7.5.0 32bit

7.5.0 64bit

8.2.0 64bit

8.8.0 64bit

9.0.0 64bit

APM支持的Windows操作系统

APM支持多个Windows操作系统,在购买弹性云服务器时您选择APM支持的操作系统,详见 表 支持的操作系统及版本
表2 支持的操作系统及版本

操作系统

版本

Windows(均为64位系统)

Windows Server 2016 R2 Datacenter

Windows Server 2016 R2 Standard

Windows Server 2016 Datacenter English

Windows Server 2016 R2 Standard English

Windows Server 2012 R2 Datacenter

Windows Server 2012 R2 Standard

Windows Server 2012 Datacenter English

Windows Server 2012 R2 Standard English

Windows Server 2008 R2 Enterprise

Windows Server 2008 R2 Standard

Windows Server 2008 Enterprise English

Windows Server 2008 R2 Standard English

APM支持的JAVA类型

APM支持JAVA类应用,目前已支持多种主流Java框架、web服务器、通讯协议、数据库等,可实现应用轻松接入。当前支持的类型详见 表 APM支持的Java类型
表3 APM支持的Java类型

类型

名称

版本

工具

JDK

jdk7、jdk8

通讯协议

httpclient

apache httpclient3、apache httpclient4、jdk httpurlconnection

Java框架

CXF Client

2.6.0~3.2.1

iBatis

2.3.0、2.3.4.726

jersey

2.0~2.9.1

mybatis

1.0.0~1.3.1(Mybatis-Spring)、3.0.1~3.4.5(Mybatis3)

spring

3.1.x~5.0.x

springboot

1.2.x~1.5.x、2.0.4~2.0.9

Dubbo

2.5.3~2.6.2(Dubbo RPC、Dubbo REST)、2.8.4(Dubbo RPC、Dubbo REST)

CSE(HuaWei)

1.0.0.B011~1.1.0.B046(REST over Servlet、REST over Vert.x、Highway RPC)

gRPC

1.11.x~1.14.x

数据库

MySQL

5.1.x

Oracle

ojdbc5、ojdbc6、ojdbc14

Sybase

2.6.0~3.2.1

mariadb

1.3.x

voltdb

6.x~7.x

postgre

9.0.x, 9.1.x, 9.2.x, 9.3.x, 9.4.x, 42.0.x, 42.1.x

web服务器

Tomcat

6.x、7.x、8.x

Jetty

7.6.x~8.0.0, 8.1.x~9.x.x

JBoss

说明:

JBoss在使用javaagent探针的时候,需要特殊的设置。详见如何对JBoss Standalone模式接入APM

7.0.0~12.0.0

undertow

1.4.x

消息队列

ActiveMQ

5.6.x~5.15.x

RocketMQ

4.1.x~4.2.x

RabbitMQ

1.3.3+(spring-rabbit)、2.7.x(amqp-client)、2.6.0、3.6.5

Kafka

0.9.0.1~0.10.0.2

NoSQL

Redis

2.0.0~2.9.0

Memcache

2.9.0~2.12.3(arcus)

Mongodb

3.0.x~3.6.x

Casandra

2.1.x~3.2.x

zookeeper

1.0.x(com.github.adyliu.zkclient)、0.1.x(com.github.sgroschupf.zkclient)

ElasticSearch

2.4.x、5.1.x

Rest Client

Common HTTP

2.x、3.x、4.x(httpclient)、ALL(HttpURLConnection)

APM支持的PHP类型

APM支持PHP类应用,目前已支持多种主流PHP版本、PHP数据库,可实现应用轻松接入。当前支持的类型详见 表 APM支持的PHP类型
表4 APM支持的PHP类型

类型

名称

版本

PHP版本

PHP

7.2.x、7.0.x

PHP数据库

MySQL

ALL

更多类型正在开发中。

探针个数限制

APM的应用性能指标采集,包含调用链、SLA、SQL调用、JVM等性能指标采集。此类指标采集时所消耗的资源和使用的APM探针个数、服务间调用次数、采样率等强相关。为保证采集可靠性,单节点使用APM的探针个数建议控制在20个以内。

分享:

    相关文档

    相关产品

文档是否有解决您的问题?

提交成功!

非常感谢您的反馈,我们会继续努力做到更好!

反馈提交失败,请稍后再试!

*必选

请至少选择或填写一项反馈信息

字符长度不能超过200

提交反馈 取消

如您有其它疑问,您也可以通过华为云社区问答频道来与我们联系探讨

跳转到云社区